Loading...
Searching...
No Matches
casacore::QC Class Reference
casa package (libcasa_casa) » Quanta_module

More...

`#include <QC.h>`

## Static Public Member Functions

static const Quantum< Double > & | c ()
| vel of light
static const Quantum< Double > & | G ()
| Gravitational constant.
static const Quantum< Double > & | h ()
| Planck.
static const Quantum< Double > & | HI ()
| HI line.
static Quantum< Double > & | R ()
| Gas constant.
static const Quantum< Double > & | NA ()
| Avogadro.
static const Quantum< Double > & | e ()
| electron charge
static const Quantum< Double > & | mp ()
| proton mass
static const Quantum< Double > & | mp_me ()
| mp/me
static const Quantum< Double > & | mu0 ()
| permeability vacuum
static const Quantum< Double > & | epsilon0 ()
| permittivity vacuum
static const Quantum< Double > & | k ()
| Boltzmann.
static const Quantum< Double > & | F ()
| Faraday.
static const Quantum< Double > & | me ()
| mass electron
static const Quantum< Double > & | re ()
| radius electron
static const Quantum< Double > & | a0 ()
| Bohr's radius.
static const Quantum< Double > & | R0 ()
| Solar radius.
static const Quantum< Double > & | k2 ()
| IAU Gaussian grav.
static const Quantum< Double > & | qTurn ()
| quarter turn = 90 degrees = pi/2 radians
static const Quantum< Double > & | hTurn ()
| half turn = 180 degrees = pi radians
static const Quantum< Double > & | fTurn ()
| full turn = 360 degrees = 2pi radians

## Friends

class | QC_init

## Detailed Description

Physical constants (i.e. dimensioned values)

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25
Test programs:
  tQuantum

### Prerequisite

- Quantum

### Etymology

A QC is based on the Quantum and C (constants) class

### Synopsis

QC:name will produce a Quantity (Quantum<Double>) value consisting of a value and a unit. See the Quantum class for possibilities of manipulating quanta. tQuantum will give a list of the currently available constants

### Example

To obtain the velocity of light in pc/a, use:

#include <casacore/casa/Quanta.h>
Double vel_pcpy = (C::c).convert("pc/a").getValue();
casacore::C::c
constexpr double c
Fundamental physical constants (SI units):
Definition Constants.h:480
casacore::Double
double Double
Definition aipstype.h:53

The following constants are defined as public data members of class QC.

Caution: The following public data member documentation is currently extracted by hand, and thus could be out of date if this documentation was not updated when the class was modified;

// vel of light
Quantum<Double> c();
// Gravitational constant
Quantum<Double> G();
// Planck
Quantum<Double> h();
// HI line
Quantum<Double> HI();
// Gas constant
Quantum<Double> R();
// Avogadro
Quantum<Double> NA();
// electron charge
Quantum<Double> e();
// proton mass
Quantum<Double> mp();
// mp/me
Quantum<Double> mp_me();
// permeability vacuum
Quantum<Double> mu0();
// permittivity vacuum
Quantum<Double> epsilon0();
// Boltzmann
Quantum<Double> k();
// Faraday
Quantum<Double> F();
// mass electron
Quantum<Double> me();
// radius electron
Quantum<Double> re();
// Bohr's radius
Quantum<Double> a0();
// Solar radius
Quantum<Double> R0();
// IAU Gaussian grav. const **2
Quantum<Double> k2();
// quarter turn = 90 degrees = pi/2 radians
Quantum<Double> qTurn();
// half turn = 180 degrees = pi radians
Quantum<Double> hTurn();
// full turn = 360 degrees = 2pi radians
Quantum<Double> fTurn();
casacore::QC::k2
static const Quantum< Double > & k2()
IAU Gaussian grav.
Definition QC.h:271
casacore::QC::hTurn
static const Quantum< Double > & hTurn()
half turn = 180 degrees = pi radians
Definition QC.h:284
casacore::QC::mp
static const Quantum< Double > & mp()
proton mass
Definition QC.h:210
casacore::QC::F
static const Quantum< Double > & F()
Faraday.
Definition QC.h:240
casacore::QC::HI
static const Quantum< Double > & HI()
HI line.
Definition QC.h:186
casacore::QC::k
static const Quantum< Double > & k()
Boltzmann.
Definition QC.h:234
casacore::QC::R0
static const Quantum< Double > & R0()
Solar radius.
Definition QC.h:264
casacore::QC::mu0
static const Quantum< Double > & mu0()
permeability vacuum
Definition QC.h:222
casacore::QC::h
static const Quantum< Double > & h()
Planck.
Definition QC.h:180
casacore::QC::c
static const Quantum< Double > & c()
vel of light
Definition QC.h:168
casacore::QC::epsilon0
static const Quantum< Double > & epsilon0()
permittivity vacuum
Definition QC.h:228
casacore::QC::mp_me
static const Quantum< Double > & mp_me()
mp/me
Definition QC.h:216
casacore::QC::qTurn
static const Quantum< Double > & qTurn()
quarter turn = 90 degrees = pi/2 radians
Definition QC.h:278
casacore::QC::a0
static const Quantum< Double > & a0()
Bohr's radius.
Definition QC.h:258
casacore::QC::e
static const Quantum< Double > & e()
electron charge
Definition QC.h:204
casacore::QC::me
static const Quantum< Double > & me()
mass electron
Definition QC.h:246
casacore::QC::fTurn
static const Quantum< Double > & fTurn()
full turn = 360 degrees = 2pi radians
Definition QC.h:290
casacore::QC::NA
static const Quantum< Double > & NA()
Avogadro.
Definition QC.h:198
casacore::QC::R
static Quantum< Double > & R()
Gas constant.
Definition QC.h:192
casacore::QC::G
static const Quantum< Double > & G()
Gravitational constant.
Definition QC.h:174
casacore::QC::re
static const Quantum< Double > & re()
radius electron
Definition QC.h:252
casacore::Quantum
Definition Quantum.h:269

### Motivation

Physical constants should be known with their proper dimensions

Definition at line 160 of file QC.h.

## Member Function Documentation

## a0()

const Quantum< Double > & casacore::QC::a0 | ( |  | ) |

inline static

Bohr's radius.

Definition at line 258 of file QC.h.

## c()

const Quantum< Double > & casacore::QC::c | ( |  | ) |

inline static

vel of light

Definition at line 168 of file QC.h.

References casacore::C::c.

## e()

const Quantum< Double > & casacore::QC::e | ( |  | ) |

inline static

electron charge

Definition at line 204 of file QC.h.

## epsilon0()

const Quantum< Double > & casacore::QC::epsilon0 | ( |  | ) |

inline static

permittivity vacuum

Definition at line 228 of file QC.h.

References casacore::C::c.

## F()

const Quantum< Double > & casacore::QC::F | ( |  | ) |

inline static

Faraday.

Definition at line 240 of file QC.h.

## fTurn()

const Quantum< Double > & casacore::QC::fTurn | ( |  | ) |

inline static

full turn = 360 degrees = 2pi radians

Definition at line 290 of file QC.h.

## G()

const Quantum< Double > & casacore::QC::G | ( |  | ) |

inline static

Gravitational constant.

Definition at line 174 of file QC.h.

## h()

const Quantum< Double > & casacore::QC::h | ( |  | ) |

inline static

Planck.

Definition at line 180 of file QC.h.

## HI()

const Quantum< Double > & casacore::QC::HI | ( |  | ) |

inline static

HI line.

Definition at line 186 of file QC.h.

## hTurn()

const Quantum< Double > & casacore::QC::hTurn | ( |  | ) |

inline static

half turn = 180 degrees = pi radians

Definition at line 284 of file QC.h.

## k()

const Quantum< Double > & casacore::QC::k | ( |  | ) |

inline static

Boltzmann.

Definition at line 234 of file QC.h.

## k2()

const Quantum< Double > & casacore::QC::k2 | ( |  | ) |

inline static

IAU Gaussian grav.

const **2

Definition at line 271 of file QC.h.

References casacore::IAU_k.

## me()

const Quantum< Double > & casacore::QC::me | ( |  | ) |

inline static

mass electron

Definition at line 246 of file QC.h.

## mp()

const Quantum< Double > & casacore::QC::mp | ( |  | ) |

inline static

proton mass

Definition at line 210 of file QC.h.

## mp_me()

const Quantum< Double > & casacore::QC::mp_me | ( |  | ) |

inline static

mp/me

Definition at line 216 of file QC.h.

## mu0()

const Quantum< Double > & casacore::QC::mu0 | ( |  | ) |

inline static

permeability vacuum

Definition at line 222 of file QC.h.

## NA()

const Quantum< Double > & casacore::QC::NA | ( |  | ) |

inline static

Avogadro.

Definition at line 198 of file QC.h.

## qTurn()

const Quantum< Double > & casacore::QC::qTurn | ( |  | ) |

inline static

quarter turn = 90 degrees = pi/2 radians

Definition at line 278 of file QC.h.

## R()

Quantum< Double > & casacore::QC::R | ( |  | ) |

inline static

Gas constant.

Definition at line 192 of file QC.h.

## R0()

const Quantum< Double > & casacore::QC::R0 | ( |  | ) |

inline static

Solar radius.

Definition at line 264 of file QC.h.

## re()

const Quantum< Double > & casacore::QC::re | ( |  | ) |

inline static

radius electron

Definition at line 252 of file QC.h.

## Friends And Related Symbol Documentation

## QC_init

friend class QC_init

friend

Definition at line 161 of file QC.h.

References QC_init.

Referenced by QC_init.

The documentation for this class was generated from the following file:

- casa/Quanta/QC.h